GDPR and CCPA User Privacy API

Use this API to submit and track user data deletion requests required by privacy laws such as GDPR and CCPA.

❗️

This process is irreversible. It will remove all data for this user and will prevent Paved data collection for this user going forward.

Submitting Requests

You can submit a request to remove data belonging to a user by posting their email address. A valid request will return a request_id, this ID can be used to check on the status of the deletion. We aim to delete all data within 60 minutes of a request but some requests may take up to 24 hours.

POST /privacy/removal_request

Request Parameters:

ParameterExample
email[email protected]

Request Headers:

HeaderExample
AuthorizationBearer AbCdEf123456

Response:

ParameterExample
request_idfn348d2idm41n49c

Checking Requests

You can check the status of a removal request by using the request_id.

GET /privacy/removal_request/:request_id

Request Headers:

HeaderExample
AuthorizationBearer AbCdEf123456

Response:

ParameterExample
statuscompleted